API

Sections

Theme switcher

Getting Started

On this page
  • Getting Started

Basic Integration

On this page
  • Basic Integration

Enterprise Features

On this page
  • Enterprise Features

Other Concepts

On this page
  • Other Concepts

API Endpoints

Was this section helpful?

What made this section unhelpful for you?

On this page
  • API Endpoints

Connections

On this page
  • Connections

Reservations

On this page
  • Reservations

Bookings

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Bookings

/bookings/create

Description

This endpoint allows you to place a booking directly in the carrier’s system. The recommended booking endpoint at Distribusion.

Displaying prices

The price displayed on the checkout page and used for the further booking flow must be the price returned by the /connections/vacancy endpoint.

Service fees added by the booking platform must be separately and transparently displayed to the user.

Collect only required customer information

Different carriers require varying information during the booking process in order to fulfil their services and where possible, the collection of passenger information should be minimised. In order to facilitate a dynamic checkout that gathers only necessary information from the customer, please make use of /marketing_carriers/{marketing_carrier_id}/booking/schema endpoint, which shows the mandatory and optional parameters per carrier.

Carrier terms and conditions

It is mandatory to display the terms and conditions of the respective carrier on the checkout page. You can find the terms and conditions of the carrier from the terms parameter in the /marketing_carriers/{marketing_carrier_id} endpoint.

Succesful bookings

The booking_id returned through this endpoint after a successful booking can be used for all further post-booking interaction with the Distribusion API.

Payments

Please note that no live payments flow between your and our systems at this point. Payments are reconciled during regular settlement processes. In the booking request, you must specify payment method: demand_note.

Next step

After the booking is confirmed successfully, check the full booking details using the /bookings/{booking_id} endpoint. The ticket can be accessed from the /bookings/{booking_id}/tickets endpoint.

More Info

Was this section helpful?

What made this section unhelpful for you?

On this page
  • /bookings/create

/bookings

Description

This endpoint can be used to retrieve all the bookings that have been placed by your API credentials, on a specific date. Use the filters to search for a specific date or details of the passengers and bookings.

More Info

Was this section helpful?

What made this section unhelpful for you?

On this page
  • /bookings

/bookings/{booking_id}

Description

This endpoint can be used to retrieve all details regarding a specific booking.

Post-booking actions

Once the booking has been confirmed by the carrier’s system, tickets can be retrieved from /bookings/{booking_id}/tickets endpoint, while all other information that may be relevant to the post-booking experience can be found in the /bookings/{booking_id} endpoint.

Booking ID

The booking_id can be retrieved in the response from /reservations/{reservation_id} or /bookings/create endpoints.

More Info

  1. Endpoints
    1. GET /retailers/v4/bookings/{booking_id}
Was this section helpful?

What made this section unhelpful for you?

On this page
  • /bookings/{booking_id}

/bookings/{booking_id}/conditions

Description

Retreive cancellation and amendment conditions for specific booking.

Booking ID

The booking_id can be retrieved in the response from /reservations/{reservation_id} or /bookings/create endpoints.

More Info

  1. Endpoints
    1. GET /retailers/v4/bookings/{booking_id}/conditions
Was this section helpful?

What made this section unhelpful for you?

On this page
  • /bookings/{booking_id}/conditions

/bookings/{booking_id}/tickets

### Description This endpoint can be used to retrieve the ticket that must be passed along to the customer. **How it works** If you are sending your own confirmation email to the customer or dislaying the ticket within your application, you can use this endpoint to retrieve the tickets for the booking at hand. In case you opted for `send_customer_email` as `true` in the [/bookings/create](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-80dd93bd-ddb7-4dd3-9324-9e2c531650c3?ctx=documentation) or [/reservations/confirm](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-43158577-b029-4b2b-84fb-e1219407890c?ctx=documentation) request, Distribusion will send customer confirmation email including the attached ticket and there is no need for you to do so. **Mobile PDF tickets** For the wide majority of available carriers, successfully delivered tickets follow Distribusion’s standard ticket template. Please refer to the example below: Distribusion tickets can also be displayed on mobile devices, we encourage you to let customers know that they do not need to print their tickets. **Mobile wallet tickets** In addition to the pdf tickets described above, some carriers support mobile tickets in `.pkpass` and `Google Wallet` and `.png-mobile` formats. Whether a carrier supports mobile tickets or not can be identified by checking the `has_mobile_tickets` parameter (boolean) in the [/marketing_carriers/{marketing_carrier_id}](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-ab23726d-0353-4330-9942-b23818cb67df?ctx=documentation) endpoint. **Ticket format** In some selected cases, carriers accept only their own ticket format, which is then passed through the API in place of the regular Distribusion template. Regardless of which of these two options is true for a certain booking, all tickets for one booking are returned within one pdf file. In rare cases, carrier tickets can be print-at-home tickets which is indicated directly on the ticket itself. For multi-segment trips (i.e. with a stop-over), one ticket is delivered per segment. All pages are still delivered within a single pdf file. **Delivery of tickets** For travel agencies that handle the full booking flow, there are two different options for ticket delivery. - Distribusion can send the booking confirmation email, including all tickets, directly to the customer. Simply set the parameter `send_customer_email` to true in the [/bookings/create](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-80dd93bd-ddb7-4dd3-9324-9e2c531650c3?ctx=documentation) or [/reservations/confirm](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-43158577-b029-4b2b-84fb-e1219407890c?ctx=documentation) request. In this case, the customer’s email address must be collected and provided in the booking request. Distribusion will always send both the pdf and the mobile ticket where available. - Alternatively, platforms can send their own confirmation email to the customer and attach the tickets to that email. To retrieve the tickets, please refer to the [/bookings/{booking_id}/tickets](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-ceff1d2c-19f2-4388-9c61-3fdf094d5823?ctx=documentation) endpoint. In case you would like to specifically retrieve a mobile ticket (if available), please add the optional parameter type to the request and set it to pkpass. **Booking ID** The `booking_id` can be retrieved in the response from [/reservations/{reservation_id}](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-be2e40fb-0b16-4fb1-bd3c-e6af8e8c3d7a?ctx=documentation) or [/bookings/create](https://lively-space-811588.postman.co/workspace/f46e13d3-12d7-41eb-86e4-45523c4a451d/request/18003295-6584aef2-7d0f-4adc-b823-5f132827e2aa?ctx=documentation) endpoints. ### More Info 1. **Full API integration** 1. [Post-booking actions](https://api.distribusion.com/doc/full-api-integration#id1) 2. **Key Concepts** 1. [Ticketing](https://api.distribusion.com/doc/key-concepts#ticketing) 1. [Types of tickets](https://api.distribusion.com/doc/key-concepts#types-of-tickets) 2. [Delivery of tickets](https://api.distribusion.com/doc/key-concepts#delivery-of-tickets) 3. [Examples of tickets](https://api.distribusion.com/doc/key-concepts#examples-of-tickets) 3. **Endpoints** 1. [GET /retailers/v4/bookings/{booking_id}/tickets](https://api.distribusion.com/doc/api#get-retailers-v4-bookings-booking-id-tickets-bookings-id-tickets)
Was this section helpful?

What made this section unhelpful for you?

On this page
  • /bookings/{booking_id}/tickets

Cancellations

On this page
  • Cancellations

Amendments

On this page
  • Amendments

Cards

On this page
  • Cards

Stations, Areas & Cities

On this page
  • Stations, Areas & Cities

Marketing Carriers

On this page
  • Marketing Carriers

Advanced Pricing Insights

On this page
  • Advanced Pricing Insights

Post-Sales AI Bot

On this page
  • Post-Sales AI Bot

📣 What's New

Was this section helpful?

What made this section unhelpful for you?

On this page
  • 📣 What's New

Errors

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Errors

Intro

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Intro

Integration Types

On this page
  • Integration Types

Search SDK

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Search SDK

Examples of Booking Engines

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Examples of Booking Engines

Custom Domain

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Custom Domain

Analytics

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Analytics

Languages

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Languages

Agent Counter

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Agent Counter

Connectivity Services

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Connectivity Services

Invoicing and Payments

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Invoicing and Payments

Dictionary

Was this section helpful?

What made this section unhelpful for you?

On this page
  • Dictionary
View as Markdown

Ask an AI

Open in ChatGPTOpen in ClaudeOpen in Perplexity

Code with AI

Open in Copilot